(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/init.js"));
	else if(typeof define === 'function' && define.amd)
		define("@kq_npm/client3d_webgl_vue", ["vue", "@kq_npm/client_common_vue/_utils/gis-utils", "@kq_npm/client_common_vue/_utils/util", "@kq_npm/client_common_vue/init.js"], factory);
	else if(typeof exports === 'object')
		exports["@kq_npm/client3d_webgl_vue"] = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/init.js"));
	else
		root["@kq_npm/client3d_webgl_vue"] = factory(root["Vue"], root["@kq_npm/client_common_vue/_utils/gis-utils"], root["@kq_npm/client_common_vue/_utils/util"], root["@kq_npm/client_common_vue/init.js"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE__1895__, __WEBPACK_EXTERNAL_MODULE__7135__, __WEBPACK_EXTERNAL_MODULE__3458__, __WEBPACK_EXTERNAL_MODULE__7997__) {
return /******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 9440:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ RadarScanAnalysisViewModel; }
/* harmony export */ });
class RadarScanAnalysisViewModel {
  _viewer = null;
  //参数
  _options = {
    heading: 0,
    pitch: 0,
    roll: 0,
    longitude: 113,
    latitude: 30,
    radius: 100000,
    ellipsoidColor: '#4193EF', // 半球颜色
    ellipsoidColorAlpha: 0.99, // 半球透明度
    ellipsoidOutlineColor: '#8DDBF0', // 半球边框颜色
    ellipsoidOutlineColorAlpha: 1, // 半球边框透明度
    sectorColor: '#D0BC23', // 扇形颜色
    sectorColorAlpha: 0.9, // 扇形透明度
    sectorOutlineColor: '#D0BC23', // 扇形边线颜色
    sectorOutlineColorAlpha: 0.9, // 扇形边线不透明度
  };
  _drawManager = null; // 绘制对象
  _radarScan = null; // 扫描对象
  constructor(scenceView, option) {
    this._viewer = scenceView._viewer;
    Object.assign(this._options, option);
    this._drawManager = scenceView._drawManager;
  }
  //获取颜色rgba值
  getRgba(color) {
    var red = color.red * 255;
    var green = color.green * 255;
    var blue = color.blue * 255;
    var alpha = color.alpha;
    return 'rgba(' + red + ',' + green + ',' + blue + ',' + alpha + ')';
  }
  //渐变纹理
  getColorRamp(values, isVertical) {
    var sectorColor0 = Cesium.Color.fromCssColorString(this._options.sectorColor).withAlpha(.6);
    var sectorColor1 = Cesium.Color.fromCssColorString(this._options.sectorColor).withAlpha(.3);
    var color0 = this.getRgba(sectorColor0);
    var color1 = this.getRgba(sectorColor1);
    var ramp = document.createElement('canvas');
    ramp.width = isVertical ? 1 : 100;
    ramp.height = isVertical ? 100 : 1;

    var ctx = ramp.getContext('2d');

    var grd = isVertical ? ctx.createLinearGradient(0, 0, 0, 100) : ctx.createLinearGradient(0, 0, 100, 0);
    grd.addColorStop(values[0], color0);
    grd.addColorStop(values[1], color1);
    ctx.fillStyle = grd;

    if (isVertical)
      ctx.fillRect(0, 0, 1, 100);
    else
      ctx.fillRect(0, 0, 100, 1);
    return ramp;
  }
  // 参数切换
  paramsChanged(key) {
    if (!this._radarScan) return;
    switch (key) {
      case "ellipsoidColor":
        this._radarScan.ellipsoidColor = Cesium.Color.fromCssColorString(this._options[key]).withAlpha(Number(this._options.ellipsoidColorAlpha));
        break;
      case "ellipsoidColorAlpha":
        this._radarScan.ellipsoidColor = Cesium.Color.fromCssColorString(this._options.ellipsoidColor).withAlpha(Number(this._options[key]));
        break;
      case "ellipsoidOutlineColor":
        this._radarScan.ellipsoidOutlineColor = Cesium.Color.fromCssColorString(this._options[key]).withAlpha(Number(this._options.ellipsoidOutlineColorAlpha));
        break;
      case "ellipsoidOutlineColorAlpha":
        this._radarScan.ellipsoidOutlineColor = Cesium.Color.fromCssColorString(this._options.ellipsoidOutlineColor).withAlpha(Number(this._options[key]));
        break;
      case "sectorColor":
        this._radarScan.sectorColor = Cesium.Color.fromCssColorString(this._options[key]).withAlpha(Number(this._options.sectorColorAlpha));
        break;
      case "sectorColorAlpha":
        this._radarScan.sectorColor = Cesium.Color.fromCssColorString(this._options.sectorColor).withAlpha(Number(this._options[key]));
        break;
      case "sectorOutlineColor":
        this._radarScan.sectorOutlineColor = Cesium.Color.fromCssColorString(this._options[key]).withAlpha(Number(this._options.sectorOutlineColorAlpha));
        break;
      case "sectorOutlineColorAlpha":
        this._radarScan.sectorOutlineColor = Cesium.Color.fromCssColorString(this._options.sectorOutlineColor).withAlpha(Number(this._options[key]));
        break;
      default:
        this._radarScan[key] = Number(this._options[key]);
        break;
    }
  }

  //开始分析
  start() {
    let that = this;
    if (this._drawManager) {
      this._drawManager.startDraw("point", { clampToGround: true, image: null }, (feature, { shape }) => {
        if (!shape.groupName || shape.groupName !== "RadarScanAnalysis") return;
        if (shape) {
          let cartographic = Cesium.Cartographic.fromCartesian(shape.position);
          Object.assign(that._options, {
            longitude: Cesium.Math.toDegrees(cartographic.longitude),
            latitude: Cesium.Math.toDegrees(cartographic.latitude),
          });
          //实例化
          if (!that._radarScan) {
            that._radarScan = new RadarScan({
              viewer: that._viewer,
              longitude: that._options.longitude,
              latitude: that._options.latitude,
              radius: that._options.radius,
              ellipsoidColor: Cesium.Color.fromCssColorString(that._options.ellipsoidColor).withAlpha(that._options.ellipsoidColorAlpha),
              ellipsoidOutlineColor: Cesium.Color.fromCssColorString(that._options.ellipsoidOutlineColor).withAlpha(that._options.ellipsoidOutlineColorAlpha),
              sectorColor: Cesium.Color.fromCssColorString(that._options.sectorColor).withAlpha(that._options.sectorColorAlpha),
              // sectorColor: new Cesium.ImageMaterialProperty({
              //   image: that.getColorRamp([0.0, 1.0], true),
              //   transparent: true
              // }),
              sectorOutlineColor: Cesium.Color.fromCssColorString(that._options.sectorOutlineColor).withAlpha(that._options.sectorOutlineColorAlpha)
            })
          } else {
            Object.assign(that._radarScan, {
              longitude: that._options.longitude,
              latitude: that._options.latitude,
            });
          }
        }
        that._drawManager && that._drawManager.clearDrawGroup("RadarScanAnalysis");
      }, "RadarScanAnalysis");
    }
  }
  //清除全部结果
  clear() {
    this._radarScan && this._radarScan.destroy?.();
    this._radarScan = null;
    this._drawManager && this._drawManager.stopDraw();
  }
  // 销毁
  destroy() {
    this.clear();
  }
}


/***/ }),

/***/ 348:
/***/ (function(module) {

module.exports = require("@kq_npm/client_icons_vue");

/***/ }),

/***/ 7080:
/***/ (function(module) {

module.exports = require("vue-i18n/dist/vue-i18n.cjs.js");

/***/ }),

/***/ 7135:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7135__;

/***/ }),

/***/ 3458:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__3458__;

/***/ }),

/***/ 7997:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7997__;

/***/ }),

/***/ 1895:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__1895__;

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "RadarScanAnalysisViewModel": function() { return /* reexport */ RadarScanAnalysisViewModel/* default */.Z; },
  "default": function() { return /* reexport */ RadarScanAnalysis; }
});

// EXTERNAL MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_ = __webpack_require__(1895);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/gis-utils"
var gis_utils_ = __webpack_require__(7135);
// EXTERNAL MODULE: ./src/webgl/radarscananalysis/RadarScanAnalysisViewModel.js
var RadarScanAnalysisViewModel = __webpack_require__(9440);
// EXTERNAL MODULE: external "@kq_npm/client_icons_vue"
var client_icons_vue_ = __webpack_require__(348);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/util"
var util_ = __webpack_require__(3458);
// EXTERNAL MODULE: external "vue-i18n/dist/vue-i18n.cjs.js"
var vue_i18n_cjs_js_ = __webpack_require__(7080);
;// CONCATENATED MODULE: ./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/radarscananalysis/RadarScanAnalysis.vue?vue&type=script&setup=true&lang=js


const _hoisted_1 = { class: "kq3d-radar-scan-analysis-box" }
const _hoisted_2 = { class: "kq3d-radar-scan-analysis-footer" }

;






const __default__ = {
  name: "Kq3dRadarScanAnalysis"
};

/* harmony default export */ var RadarScanAnalysisvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
  // 设置参数
  settingParams: { type: Object },
  // 是否显示阴影效果
  showShadow: {
    type: Boolean,
    default: true
  },
  /**
   * 例："center","topLeft","topRight","bottomLeft","bottomRight", "topCenter", "bottomCenter" {top:'16px',left:'16px'}, {top:16,left:16}
   */
  position: [String, Object],
  // 是否生成HeaderTemp
  showHeaderTemp: {
    type: Boolean,
    default: false
  },
  // 是否折叠HeaderTemp，showHeaderTemp为true时生效
  isCollapseHeaderTemp: {
    type: Boolean,
    default: false
  },
  // HeaderTemp标题
  headerTempTitle: {
    type: String
  },
  // HeaderTemp图标
  headerTempIcon: {
    type: [Object, String],
    default: client_icons_vue_.IconRadarScanAnalysis
  },
  // HeaderTemp Title&Icon的位置
  isRight: {
    type: Boolean,
    default: true
  }
},
  setup(__props, { expose: __expose }) {

const props = __props;

const { proxy } = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.getCurrentInstance)();
let currentLang = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("");
let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(proxy.$i18n.global.messages[proxy.$i18n.global.locale]["webgl"]);
// 获取组件传参


let formItem = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.reactive)({
  collapseValue: props?.settingParams?.collapseValue ?? "setting",// 默认展开属性设置
  radius:  props?.settingParams?.radius ?? 10000, // 半径
  maxRadius: props?.settingParams?.maxRadius ?? 20000, // 半径
  minRadius: props?.settingParams?.minRadius ?? 0, // 半径
  ellipsoidColor: props?.settingParams?.ellipsoidColor ?? '#4193EF', // 半球颜色
  ellipsoidColorAlpha:props?.settingParams?.ellipsoidColorAlpha ?? 0.4, // 半球透明度
  ellipsoidOutlineColor: props?.settingParams?.ellipsoidOutlineColor ?? '#8DDBF0', // 半球边框颜色
  ellipsoidOutlineColorAlpha: props?.settingParams?.ellipsoidOutlineColorAlpha ?? 1, // 半球边框颜色透明度
  sectorColor: props?.settingParams?.sectorColor ?? '#D0BC23', // 扇形颜色
  sectorColorAlpha: props?.settingParams?.sectorColorAlpha ?? 0.9, // 扇形颜色透明度
  sectorOutlineColor: props?.settingParams?.sectorOutlineColor ?? '#D0BC23', // 扇形颜色边框颜色
  sectorOutlineColorAlpha: props?.settingParams?.sectorOutlineColorAlpha ?? 0.9, // 扇形颜色边框透明度
});

let viewModel = null;

// 组件容器Ref
let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);

// 生成组件默认header
let headerTemp = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
let headerTempRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();

// 国际化
let { locale, messages } = (0,vue_i18n_cjs_js_.useI18n)();
let headerTempTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
headerTempTitle.value = language.value.radarScanAnalysisTitle;
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
  () => locale.value,
  (newVal, oldVal) => {
    language.value = messages.value[newVal]["webgl"];
    headerTempTitle.value = language.value.radarScanAnalysisTitle;
  }
);

(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
  (0,util_.updatePosition)(boxRef.value, props);
  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
    () => props.position,
    (newVal, oldVal) => {
      (0,util_.updatePosition)(boxRef.value, props);
    }
  );

  watchCreateHeaderTemp();
  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
    () => props.showHeaderTemp,
    (newVal, oldVal) => {
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
        watchCreateHeaderTemp();
      });
    }
  );

  currentLang.value = proxy.$i18n.locale; // 获取当前语言
  gis_utils_.utils.getWebMap(null, scenceView => {
    if (scenceView) {
      viewModel = new RadarScanAnalysisViewModel/* default */.Z(scenceView, formItem);
    }
  });
});

/**
 * @description 监听header生成
 */
const watchCreateHeaderTemp = () => {
  if (props.showHeaderTemp) {
    // 生成headerTemp
    headerTemp.value = (0,util_.createHeaderTemp)(boxRef.value, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toRefs)(props), headerTempRef, headerTempTitle);
  }
};
// 切换参数
function paramsChanged(key) {
  if(!viewModel) return;
  viewModel._options[key] = formItem[key];
  viewModel.paramsChanged(key);
}
// 添加
function addAnalysis() {
  viewModel && viewModel.start();
}
// 清除
function clear() {
  viewModel && viewModel.clear();
}

// 销毁
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {
  viewModel && viewModel.destroy();
});

__expose({
  clear
});

return (_ctx, _cache) => {
  const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-row")
  const _component_kq_slider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-slider")
  const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-col")
  const _component_kq_input_number = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-input-number")
  const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form-item")
  const _component_kq_color_picker = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-color-picker")
  const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form")
  const _component_kq_collapse_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse-item")
  const _component_kq_collapse = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse")
  const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-button")

  return ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("section", {
    class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["kq3d-radar-scan-analysis", { 'kq-box-shadow': __props.showShadow }]),
    ref_key: "boxRef",
    ref: boxRef
  }, [
    (__props.showHeaderTemp)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveDynamicComponent)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(headerTemp)), {
          key: 0,
          ref_key: "headerTempRef",
          ref: headerTempRef
        }, null, 512 /* NEED_PATCH */))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_1, [
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { class: "kq3d-radar-scan-analysis-tip" }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("p", null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).scanTips), 1 /* TEXT */)
        ]),
        _: 1 /* STABLE */
      }),
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse, {
        "model-value": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).collapseValue
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse_item, {
            title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).analysisSettings,
            name: "setting"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, {
                "label-width": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(currentLang) === 'zh' ? '100px' : '130px',
                "label-position": "left"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).radius +'(m)'
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).radius,
                                    "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).radius) = $event)),
                                    step: 1,
                                    min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minRadius,
                                    max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxRadius,
                                    onChange: _cache[1] || (_cache[1] = $event => (paramsChanged('radius')))
                                  }, null, 8 /* PROPS */, ["modelValue", "min", "max"])
                                ]),
                                _: 1 /* STABLE */
                              }),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).radius,
                                    "onUpdate:modelValue": _cache[2] || (_cache[2] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).radius) = $event)),
                                    min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minRadius,
                                    max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxRadius,
                                    step: 1,
                                    "controls-position": "right",
                                    onChange: _cache[3] || (_cache[3] = $event => (paramsChanged('radius')))
                                  }, null, 8 /* PROPS */, ["modelValue", "min", "max"])
                                ]),
                                _: 1 /* STABLE */
                              })
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).ellipsoidColor
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidColor,
                                "onUpdate:modelValue": _cache[4] || (_cache[4] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidColor) = $event)),
                                onChange: _cache[5] || (_cache[5] = $event => (paramsChanged('ellipsoidColor')))
                              }, null, 8 /* PROPS */, ["modelValue"])
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).colorAlpha
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidColorAlpha,
                                    "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidColorAlpha) = $event)),
                                    step: 0.1,
                                    min: 0,
                                    max: 0.99,
                                    onChange: _cache[7] || (_cache[7] = $event => (paramsChanged('ellipsoidColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step", "max"])
                                ]),
                                _: 1 /* STABLE */
                              }),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidColorAlpha,
                                    "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidColorAlpha) = $event)),
                                    min: 0,
                                    max: 0.99,
                                    step: 0.1,
                                    "controls-position": "right",
                                    onChange: _cache[9] || (_cache[9] = $event => (paramsChanged('ellipsoidColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "max", "step"])
                                ]),
                                _: 1 /* STABLE */
                              })
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).outlineColor
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                            modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidOutlineColor,
                            "onUpdate:modelValue": _cache[10] || (_cache[10] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidOutlineColor) = $event)),
                            onChange: _cache[11] || (_cache[11] = $event => (paramsChanged('ellipsoidOutlineColor')))
                          }, null, 8 /* PROPS */, ["modelValue"])
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).outlineAlpha
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidOutlineColorAlpha,
                                    "onUpdate:modelValue": _cache[12] || (_cache[12] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidOutlineColorAlpha) = $event)),
                                    step: 0.1,
                                    min: 0,
                                    max: 1,
                                    onChange: _cache[13] || (_cache[13] = $event => (paramsChanged('ellipsoidOutlineColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step"])
                                ]),
                                _: 1 /* STABLE */
                              }),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidOutlineColorAlpha,
                                    "onUpdate:modelValue": _cache[14] || (_cache[14] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).ellipsoidOutlineColorAlpha) = $event)),
                                    min: 0,
                                    max: 1,
                                    step: 0.1,
                                    "controls-position": "right",
                                    onChange: _cache[15] || (_cache[15] = $event => (paramsChanged('ellipsoidOutlineColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step"])
                                ]),
                                _: 1 /* STABLE */
                              })
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).sectorColor
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                            modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorColor,
                            "onUpdate:modelValue": _cache[16] || (_cache[16] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorColor) = $event)),
                            onChange: _cache[17] || (_cache[17] = $event => (paramsChanged('sectorColor')))
                          }, null, 8 /* PROPS */, ["modelValue"])
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).sectorColorAlpha
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorColorAlpha,
                                    "onUpdate:modelValue": _cache[18] || (_cache[18] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorColorAlpha) = $event)),
                                    step: 0.1,
                                    min: 0,
                                    max: 1,
                                    onChange: _cache[19] || (_cache[19] = $event => (paramsChanged('sectorColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step"])
                                ]),
                                _: 1 /* STABLE */
                              }),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorColorAlpha,
                                    "onUpdate:modelValue": _cache[20] || (_cache[20] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorColorAlpha) = $event)),
                                    min: 0,
                                    max: 1,
                                    step: 0.1,
                                    "controls-position": "right",
                                    onChange: _cache[21] || (_cache[21] = $event => (paramsChanged('sectorColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step"])
                                ]),
                                _: 1 /* STABLE */
                              })
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).outlineColor
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                            modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorOutlineColor,
                            "onUpdate:modelValue": _cache[22] || (_cache[22] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorOutlineColor) = $event)),
                            onChange: _cache[23] || (_cache[23] = $event => (paramsChanged('sectorOutlineColor')))
                          }, null, 8 /* PROPS */, ["modelValue"])
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  }),
                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                        label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).outlineAlpha
                      }, {
                        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, { style: {"display":"flex"} }, {
                            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 16 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorOutlineColorAlpha,
                                    "onUpdate:modelValue": _cache[24] || (_cache[24] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorOutlineColorAlpha) = $event)),
                                    step: 0.1,
                                    min: 0,
                                    max: 1,
                                    onChange: _cache[25] || (_cache[25] = $event => (paramsChanged('sectorOutlineColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step"])
                                ]),
                                _: 1 /* STABLE */
                              }),
                              (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, { span: 8 }, {
                                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                                  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorOutlineColorAlpha,
                                    "onUpdate:modelValue": _cache[26] || (_cache[26] = $event => (((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).sectorOutlineColorAlpha) = $event)),
                                    min: 0,
                                    max: 1,
                                    step: 0.1,
                                    "controls-position": "right",
                                    onChange: _cache[27] || (_cache[27] = $event => (paramsChanged('sectorOutlineColorAlpha')))
                                  }, null, 8 /* PROPS */, ["modelValue", "step"])
                                ]),
                                _: 1 /* STABLE */
                              })
                            ]),
                            _: 1 /* STABLE */
                          })
                        ]),
                        _: 1 /* STABLE */
                      }, 8 /* PROPS */, ["label"])
                    ]),
                    _: 1 /* STABLE */
                  })
                ]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["label-width"])
            ]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["title"])
        ]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["model-value"]),
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_2, [
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
          onClick: _cache[28] || (_cache[28] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withModifiers)($event => (addAnalysis()), ["stop"])),
          title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).addBtn,
          type: "primary"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).addBtn), 1 /* TEXT */)
          ]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["title"]),
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
          onClick: _cache[29] || (_cache[29] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withModifiers)($event => (clear()), ["stop"])),
          title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clear
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clear), 1 /* TEXT */)
          ]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["title"])
      ])
    ])
  ], 2 /* CLASS */))
}
}

}));
;// CONCATENATED MODULE: ./src/webgl/radarscananalysis/RadarScanAnalysis.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/radarscananalysis/RadarScanAnalysis.vue



const __exports__ = RadarScanAnalysisvue_type_script_setup_true_lang_js;

/* harmony default export */ var RadarScanAnalysis = (__exports__);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_ = __webpack_require__(7997);
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_);
;// CONCATENATED MODULE: ./src/webgl/radarscananalysis/index.js




RadarScanAnalysis.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(RadarScanAnalysis.name, RadarScanAnalysis);
};



}();
/******/ 	return __webpack_exports__;
/******/ })()
;
});